<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::StringMaker&lt; T, typename &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="structCatch_1_1StringMaker.html">StringMaker</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="structCatch_1_1StringMaker-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::StringMaker&lt; T, typename &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:ab2c357e22b754802c4b1351257103eb6"><td class="memTemplParams" colspan="2">template&lt;typename Fake  = T&gt; </td></tr>
<tr class="memitem:ab2c357e22b754802c4b1351257103eb6"><td class="memTemplItemLeft" align="right" valign="top">static std::enable_if&lt;::<a class="el" href="classCatch_1_1Detail_1_1IsStreamInsertable.html">Catch::Detail::IsStreamInsertable</a>&lt; Fake &gt;::value, std::string &gt;::type&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="structCatch_1_1StringMaker.html#ab2c357e22b754802c4b1351257103eb6">convert</a> (const Fake &amp;value)</td></tr>
<tr class="separator:ab2c357e22b754802c4b1351257103eb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68bb548de0e5ad364228b1ca3dd2f561"><td class="memTemplParams" colspan="2">template&lt;typename Fake  = T&gt; </td></tr>
<tr class="memitem:a68bb548de0e5ad364228b1ca3dd2f561"><td class="memTemplItemLeft" align="right" valign="top">static std::enable_if&lt;!::<a class="el" href="classCatch_1_1Detail_1_1IsStreamInsertable.html">Catch::Detail::IsStreamInsertable</a>&lt; Fake &gt;::value, std::string &gt;::type&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="structCatch_1_1StringMaker.html#a68bb548de0e5ad364228b1ca3dd2f561">convert</a> (const Fake &amp;value)</td></tr>
<tr class="separator:a68bb548de0e5ad364228b1ca3dd2f561"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2c357e22b754802c4b1351257103eb6"><td class="memTemplParams" colspan="2">template&lt;typename Fake  = T&gt; </td></tr>
<tr class="memitem:ab2c357e22b754802c4b1351257103eb6"><td class="memTemplItemLeft" align="right" valign="top">static std::enable_if&lt;::<a class="el" href="classCatch_1_1Detail_1_1IsStreamInsertable.html">Catch::Detail::IsStreamInsertable</a>&lt; Fake &gt;::value, std::string &gt;::type&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="structCatch_1_1StringMaker.html#ab2c357e22b754802c4b1351257103eb6">convert</a> (const Fake &amp;value)</td></tr>
<tr class="separator:ab2c357e22b754802c4b1351257103eb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68bb548de0e5ad364228b1ca3dd2f561"><td class="memTemplParams" colspan="2">template&lt;typename Fake  = T&gt; </td></tr>
<tr class="memitem:a68bb548de0e5ad364228b1ca3dd2f561"><td class="memTemplItemLeft" align="right" valign="top">static std::enable_if&lt;!::<a class="el" href="classCatch_1_1Detail_1_1IsStreamInsertable.html">Catch::Detail::IsStreamInsertable</a>&lt; Fake &gt;::value, std::string &gt;::type&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="structCatch_1_1StringMaker.html#a68bb548de0e5ad364228b1ca3dd2f561">convert</a> (const Fake &amp;value)</td></tr>
<tr class="separator:a68bb548de0e5ad364228b1ca3dd2f561"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ab2c357e22b754802c4b1351257103eb6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2c357e22b754802c4b1351257103eb6">&#9670;&nbsp;</a></span>convert() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename  = void&gt; </div>
<div class="memtemplate">
template&lt;typename Fake  = T&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static std::enable_if&lt;::<a class="el" href="classCatch_1_1Detail_1_1IsStreamInsertable.html">Catch::Detail::IsStreamInsertable</a>&lt;Fake&gt;::value, std::string&gt;::type <a class="el" href="structCatch_1_1StringMaker.html">Catch::StringMaker</a>&lt; T, typename &gt;::convert </td>
          <td>(</td>
          <td class="paramtype">const Fake &amp;&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab2c357e22b754802c4b1351257103eb6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2c357e22b754802c4b1351257103eb6">&#9670;&nbsp;</a></span>convert() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename  = void&gt; </div>
<div class="memtemplate">
template&lt;typename Fake  = T&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static std::enable_if&lt;::<a class="el" href="classCatch_1_1Detail_1_1IsStreamInsertable.html">Catch::Detail::IsStreamInsertable</a>&lt;Fake&gt;::value, std::string&gt;::type <a class="el" href="structCatch_1_1StringMaker.html">Catch::StringMaker</a>&lt; T, typename &gt;::convert </td>
          <td>(</td>
          <td class="paramtype">const Fake &amp;&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a68bb548de0e5ad364228b1ca3dd2f561"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68bb548de0e5ad364228b1ca3dd2f561">&#9670;&nbsp;</a></span>convert() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename  = void&gt; </div>
<div class="memtemplate">
template&lt;typename Fake  = T&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static std::enable_if&lt;!::<a class="el" href="classCatch_1_1Detail_1_1IsStreamInsertable.html">Catch::Detail::IsStreamInsertable</a>&lt;Fake&gt;::value, std::string&gt;::type <a class="el" href="structCatch_1_1StringMaker.html">Catch::StringMaker</a>&lt; T, typename &gt;::convert </td>
          <td>(</td>
          <td class="paramtype">const Fake &amp;&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a68bb548de0e5ad364228b1ca3dd2f561"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68bb548de0e5ad364228b1ca3dd2f561">&#9670;&nbsp;</a></span>convert() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename  = void&gt; </div>
<div class="memtemplate">
template&lt;typename Fake  = T&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static std::enable_if&lt;!::<a class="el" href="classCatch_1_1Detail_1_1IsStreamInsertable.html">Catch::Detail::IsStreamInsertable</a>&lt;Fake&gt;::value, std::string&gt;::type <a class="el" href="structCatch_1_1StringMaker.html">Catch::StringMaker</a>&lt; T, typename &gt;::convert </td>
          <td>(</td>
          <td class="paramtype">const Fake &amp;&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
